stamEval-class {stam} | R Documentation

## Results of a Complete StAM Analysis

### Description

Objects of this class are returned by `ctam.evaluate`. Results of all steps in a structured analysis of microarray data are stored.

### Objects from the Class

Objects can be created by calls of the form `new("stamEval", exprs, cv, fit, pred, testset)`, but using `stam.evaluate` is recommended.

### Slots

`chip`:
  Object of class `"character"`, the name of the chip for which the classifier net is generated.
`exprs`:
  Object of class `"matrix"`, the plain matrix of expression levels [probesets x samples], rownames and colnames are expected to be defined
`cv`:
  Object of class `"stamCV"`, store cross validation results
`fit`:
  Object of class `"stamFit"`, store model fit
`pred`:
  Object of class `"stamPrediction"`, store prediction results
`testset`:
  Object of class `"numeric"`, indices of samples treated as test set. The others are used for trainig.

### Methods

writeHTML
  `signature(x = "stamEval")`: generate HTML information on a complete StAM analysis, but using `stam.writeHTML` is recommended.

### Author(s)

Claudio Lottaz

### See Also

`stam.evaluate`, `stamCV-class`, `stamFit-class`, `stamPrediction-class`, `stam.writeHTML`

[Package stam version 1.10.0 Index]